curl
curl -sS "https://gateway.orbit/api/v1/task-groups/1/tasks/1/comments?type=1&limit=25" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"task_group_id": 123,
"task_id": 123,
"agent_thread_id": 123,
"type": "<string>",
"body": "<string>",
"author": "<string>",
"posted_at": "<string>",
"review_attempt": 123,
"commit_sha": "<string>",
"pull_request": {
"summary": "<string>",
"changes": [
"<string>"
],
"breaking": [
"<string>"
]
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tasks
tasks:comment:list
List a subtask’s comments, newest first.
GET
/
api
/
v1
/
task-groups
/
{group}
/
tasks
/
{task}
/
comments
curl
curl -sS "https://gateway.orbit/api/v1/task-groups/1/tasks/1/comments?type=1&limit=25" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"task_group_id": 123,
"task_id": 123,
"agent_thread_id": 123,
"type": "<string>",
"body": "<string>",
"author": "<string>",
"posted_at": "<string>",
"review_attempt": 123,
"commit_sha": "<string>",
"pull_request": {
"summary": "<string>",
"changes": [
"<string>"
],
"breaking": [
"<string>"
]
}
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Query Parameters
Available options:
ready_for_review, changes_requested, approved, blocked, answered, topology_requested, assistance_requested, resolution, question_closed Required range:
1 <= x <= 100